Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jan 2012 11:37:48 +0200

Please ALWAYS have the bug address on the CC list.  That's the only
way to have all the history of the bug archived by the bug tracker.

> I have another one for you. Sorry it isn't up to date but I haven't crashed in a while and forgot about it. Xbytestack wouldn't work for me but there is a lisp stack trace at the end of each bt.

Is that with the same binary you installed back then?  A number of
related bugs was fixed since then, so if you are still running that
old binary, please try the latest one.  I believe one of the bugs that
were fixed also fixes your clipboard-related crashes.

> Breakpoint 1, w32_abort () at w32fns.c:7182
> 7182    w32fns.c: No such file or directory.
>         in w32fns.c
> (gdb) b
> Note: breakpoint 1 also set at pc 0x11501ac.
> Breakpoint 3 at 0x11501ac: file w32fns.c, line 7182.
> (gdb) bt
> #0  w32_abort () at w32fns.c:7182
> #1  0x010eb3da in adjust_glyph_matrix (w=0x6843c00, matrix=0x6f99180, x=0, y=0, dim=...) at dispnew.c:485
> #2  0x010eec07 in allocate_matrices_for_window_redisplay (w=0x6843c00) at dispnew.c:1838
> #3  0x010efa72 in adjust_frame_glyphs_for_window_redisplay (f=0x3a27e00) at dispnew.c:2167

This crash looks very different.  Why did you decide it was the same
problem?

Unfortunately, it looks like you indeed are using an old build, so the
source line numbers don't make sense (e.g., line 485 in dispnew.c,
shown in frame #1, is a comment).  What does "M-x emacs-version RET"
display for this binary?  Given the date of build shown there, I could
try finding out what was on line 485 in dispnew.c on that date.